@echo off
@cd /d %~dp0
:Ver.1.2 Javaのパスの設定を不要にする
echo ----------------------------------------------------
echo 「さきゅばす」自動変換バッチファイル 1.2
echo ----------------------------------------------------
:下記のいくつかの事項を変更して、ダブルクリック！ですよ。

:終了後にシャットダウンする？YESならする、それ以外ならしない。
set SHUTDOWN=NO

:メールアドレスとパスワード設定　ブラウザ情報共有の設定済みならそのままでOK
set MAILADDR=doremi@mahodo.co.jp
set PASSWORD=steeki_tabetai

:この行は無視して結構です。
call :default

:以降、
:%CMD% <動画ID> <過去ログ>
:のような形で変換したい動画を指定して書いてください。過去ログは無くても可。
:もちろん何行でも可能です。

:1.60 テストリスト
:%CMD%  sm0 lv生放送.flv
: 
%CMD%  sm9 
: 新・豪血寺一族 -煩悩解放 - レッツゴー！陰陽師
%CMD%  sm1908528 
: 高いところから降りられない雪歩 【アイドルマスター】
%CMD%  sm577702 
: コメントを音声合成、組曲『ニコニコ動画』編
%CMD%  sm5874514 
: 完全版 %CMD%  作業用 ディシディアのアレンジ曲と原曲プラス%CMD%  121曲 (3時間38分)
%CMD%  nm3544267 
: 【鉄道旅行】なんとなく懐かしい列車たち（国鉄編）NMM版
%CMD%  nm9975903 
: 東方R-1ぐらんぷり　『アリスです。』
%CMD%  nm12796140 
: アニソン　（１３１）　パタリロ！　　美しさは罪
%CMD%  nm14916928 
: TVアニメ「戦国魔神ゴーショーグン」OP「ゴーショーグン発進せよ」ﾌﾙｺｰﾗｽ「高音質(320kbps→192kbps)」Vocal 藤井健
%CMD%  nm23126144 
: 迷列車で行こう山陰編SP 名古屋・岐阜旅行記第三夜
%%CMD%  1305294209 
: 魔法少女 まどか☆マギカ - スカイクラッドの観測者
%CMD%  1329021499 
: 【トレス】東方キャラでef-OP【2期・最終回ｖｅｒ】
%CMD%  1424531283 
: 【PSYCHO-PASS】のEDをループしてみた

:これでおわり。
echo ----------------------------------------------------
echo すべて終了しました。
:シャットダウンする
if %SHUTDOWN%==YES shutdown -s -t 30 -c "さきゅばす自動変換バッチファイル"
goto :exit

:default
set local>nul
set log=log.txt
for %%I in (java.exe) do @set java="%%~$PATH:I"
if not %java% == "" goto :javago
:Java7
set jhome=\Program Files\Java\jre7\bin;\Program Files (x86)\Java\jre7\bin;C:\Program Files\Java\jre7\bin;C:\Program Files (x86)\Java\jre7\bin
for %%I in (java.exe) do @set java="%%~$jhome:I"
if not %java% == "" goto :javago
:Java8
set jhome=\Program Files\Java\jre8\bin;\Program Files (x86)\Java\jre8\bin;C:\Program Files\Java\jre8\bin;C:\Program Files (x86)\Java\jre8\bin
for %%I in (java.exe) do @set java="%%~$jhome:I"
if not %java% == "" goto :javago
goto :error
:javago
echo %java%
echo %java% >>%log% 2>>&1
%java% -version
%java% -version >>%log% 2>>&1
set CMD=%java% -jar Saccubus.jar %MAILADDR% %PASSWORD%
exit /b

:error
echo java.exeが見つかりません。
echo readmeNew.txtを参照してJavaをインストールしてパスを設定したください。
echo.
echo java.exeが見つかりません。>>%log%
echo readmeNew.txtを参照してJavaをインストールしてパスを設定したください。>>%log%
echo.
:exit
pause
